Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorStackConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.InterceptorStackConfig

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class InterceptorStackConfig

extends Located
implements java.io.Serializable

Configuration for InterceptorStack.

In the xml configuration file this is defined as the `interceptor-stack` tag.

Author:
  Mike, Rainer Hermanns
See Also:
  Serialized Form

Nested Class Summary
`static class` | `InterceptorStackConfig.Builder` The builder for this object.

Field Summary
`protected java.util.List<InterceptorMapping>` | `interceptors` A list of InterceptorMapping object
`protected java.lang.String` | `name`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `InterceptorStackConfig()` Creates an InterceptorStackConfig object.
`protected` | `InterceptorStackConfig(InterceptorStackConfig orig)` Creates an InterceptorStackConfig object with a particular `name`.

Method Summary
`boolean` | `equals(java.lang.Object o)` An InterceptorStackConfig object is equals with `o` only if o is an InterceptorStackConfig object both names are equals all of their `InterceptorMapping`s are equals
`java.util.Collection<InterceptorMapping>` | `getInterceptors()` Returns a `Collection` of InterceptorMapping objects.
`java.lang.String` | `getName()` Get the name of this interceptor stack configuration.
`int` | `hashCode()` Generate hashcode based on `InterceptorStackConfig`'s name and its `InterceptorMapping`s.

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interceptors

    protected java.util.List<InterceptorMapping> interceptors

  A list of InterceptorMapping object

### name

    protected java.lang.String name

Constructor Detail

### InterceptorStackConfig

    protected InterceptorStackConfig()

  Creates an InterceptorStackConfig object.

### InterceptorStackConfig

    protected InterceptorStackConfig(InterceptorStackConfig orig)

  Creates an InterceptorStackConfig object with a particular `name`.

  Parameters:
    `name` -

Method Detail

### getInterceptors

    public java.util.Collection<InterceptorMapping> getInterceptors()

  Returns a `Collection` of InterceptorMapping objects.

  Returns:

### getName

    public java.lang.String getName()

  Get the name of this interceptor stack configuration.

  Returns:
    String

### equals

    public boolean equals(java.lang.Object o)

  An InterceptorStackConfig object is equals with `o` only if
  - o is an InterceptorStackConfig object
  - both names are equals
  - all of their `InterceptorMapping`s are equals

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Generate hashcode based on `InterceptorStackConfig`'s name and its `InterceptorMapping`s.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.